<?php
/*
Plugin Name: SOPA protest: Offline on January, 18th
Version: 1.0
Plugin URI: http://www.tamagothi.de/2012/01/16/wp-plugin-sopa-protest/
Description: Activate the plugin and on January, 18th 2012 and your blog displays a SOPA-related protest message. You can change the appearance of the message by editing the file site.php. Your readers can reload the page to access the content.
Author: Elias Schwerdtfeger
Author URI: http://www.tamagothi.de/
*/

/*
** LICENSE
** -------
**
** THIS PLUGIN IS LICENSED UNDER THE TERMS OF THE PIRATES LICENSE.
** YOU CAN DO WITH IT WHATEVER YOU LIKE, AS LONG AS YOU DO NOT SUE
** ME. IF YOU WANT TO USE THIS CODE AND SUE ME, ASK ME FOR A
** COMMERCIAL LICENSE.
** READ THE FULL GERMAN LICENSE TERMS FOR FURTHER INFORMATION.
** http://www.tamagothi.de/impressum/lizenz/
**
** LIZENZ
** ------
**
** DIESES PLUGIN IST UNTER DEN BEDINGUNGEN DER PIRATENLIZENZ
** LIZENZIERT. SIE KOENNEN DAMIT TUN, WAS IMMER SIE MOECHTEN, SO
** LANGE SIE MICH NICHT VERKLAGEN. WENN SIE DIESE SOFTWARE NUTZEN
** WOLLEN UND MICH VERKLAGEN WOLLEN, ERBITTEN SIE EINE KOMMERZIELLE
** LIZENZ VON MIR.
** LESEN SIE DIE VOLLSTAENDIGEN DEUTSCHEN LIZENBEDINGUNGEN, WENN SIE
** WEITERE INFORMATIONEN BENOETIGEN.
** http://www.tamagothi.de/impressum/lizenz/
*/ 

// Directories to keep available
$sopa_folder1 = 'wp-admin/';
$sopa_folder2 = 'wp-content/';
$sopa_folder3 = 'wp-login.php';

// Settings
// If you want to reuse this plugin for another protest, you can
// simply change the date here
$sopa_day = 18;
$sopa_mon = 1;
$sopa_year = 2012;

// The name of the cookie set by the plugin
$sopa_cookie = 'SOPAProtest';

// If you set this to something other than zero/false, the cookie 
// is not checked and the protest page is displayed always. This
// is valueable for debugging, but it may meet your wishes too.
$sopa_debug = 0;

// The name of the file with the protest page.
$sopa_page = 'site.php';

// The plugin code.
// It is very simple and easy to adapt for similar purposes...
$dt = getdate ();
if ($dt["mday"] == $sopa_day && $dt["mon"] == $sopa_mon && $dt["year"] == $sopa_year) 
{
	if ($sopa_debug || !$_COOKIE[$sopa_cookie])
	{
		if (	!strstr ($_SERVER['PHP_SELF'], 'feed/') 
		&& 	!strstr ($_SERVER['PHP_SELF'], $sopa_folder1) 
		&& 	!strstr ($_SERVER['PHP_SELF'], $sopa_folder2) 
		&& 	!strstr ($_SERVER['PHP_SELF'], $sopa_folder3)) 
		{
			if (!$sopa_debug)
			{
				setcookie ($sopa_cookie, 1, time () + 60 * 60 * 24);
			}
			include ($sopa_page);
		   	exit ();    
		} 
	}
}

// It must be a starving man
// Who likes to hear
// These crippled minds talk.
// Greetings from me
// Following the wind.
//
// Wolfsheim: Elias
?>